darcs

Issue 2487 Please join stackage

Title Please join stackage
Priority feature Status resolved
Milestone 2.10.3 Resolved in
Superseder Nosy List nomeata, simon
Assigned To simon
Topics Community

Created on 2016-01-15.11:41:14 by nomeata, last changed 2016-01-26.14:13:17 by simon.

Messages
msg18913 (view) Author: nomeata Date: 2016-01-15.11:41:07
As a distribution packager, I regularly stumble over conflicting
dependencies. E.g., right now, darcs requires an older version of vector
that all the packages that follow stackage LTS expect.

It would greatly simplify the work of the Debian package maintainers if
darcs would join stackage. See http://www.stackage.org/authors for the
simple instructions to do so.

What’s in for you? Free QA and notifications when your dependency ranges
are getting out of date.

Thanks,
Joachim
msg18919 (view) Author: simon Date: 2016-01-15.17:59:45
After discussion on #darcs, I've volunteered to be darcs stackage czar for 
2016. I'm working with gh to ensure the next hackage release is stackage-
compatible and will request stackage addition when that lands (hopefully this 
weekend).
msg18930 (view) Author: simon Date: 2016-01-16.17:19:25
https://github.com/fpco/stackage/pull/1143
msg18932 (view) Author: simon Date: 2016-01-16.17:39:37
darcs has been accepted into stackage. Next: 
- test installation from the next nightly snapshot
- get it added to the current LTS snapshot
msg18955 (view) Author: simon Date: 2016-01-22.19:04:09
https://github.com/fpco/lts-haskell/issues/19
msg18970 (view) Author: simon Date: 2016-01-26.14:13:14
darcs-2.10.2 is in stackage lts-5.0, and can be installed to ~/.local/bin 
with:

stack install darcs [--resolver=lts-5]

which I've added to http://darcs.net/FrontPage.
History
Date User Action Args
2016-01-15 11:41:14nomeatacreate
2016-01-15 17:59:48simonsetstatus: unknown -> waiting-for
topic: + Community
nosy: + simon
messages: + msg18919
priority: feature
assignedto: simon
milestone: 2.10.3
2016-01-16 17:19:26simonsetmessages: + msg18930
2016-01-16 17:39:38simonsetmessages: + msg18932
2016-01-22 19:04:10simonsetmessages: + msg18955
2016-01-26 14:13:17simonsetstatus: waiting-for -> resolved
messages: + msg18970